Bug 1460331 (CVE-2017-7519) - CVE-2017-7519 ceph: libradosstriper processes arbitrary printf placeholders in user input
Summary: CVE-2017-7519 ceph: libradosstriper processes arbitrary printf placeholders i...
Status: CLOSED NOTABUG
Alias: CVE-2017-7519
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170609,reported=2...
Keywords: Security
Depends On: 1460367
Blocks: 1459250
TreeView+ depends on / blocked
 
Reported: 2017-06-09 18:03 UTC by Siddharth Sharma
Modified: 2019-06-08 22:03 UTC (History)
28 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-14 11:38:19 UTC


Attachments (Terms of Use)

Description Siddharth Sharma 2017-06-09 18:03:21 UTC
A format string flaw was found in the way libradosstriper parses input
from user. It was found user can crash application or service using
libradosstriper library.

upstream tracker:
http://tracker.ceph.com/issues/20240

Comment 1 Siddharth Sharma 2017-06-09 18:03:51 UTC
Acknowledgments:

Name: Stan K

Comment 2 Siddharth Sharma 2017-06-09 20:40:58 UTC
Created ceph tracking bugs for this issue:

Affects: fedora-all [bug 1460367]

Comment 3 Siddharth Sharma 2017-06-14 11:38:19 UTC
Statement:

This issue did not affect the versions of ceph as shipped with Red Hat Ceph Storage 1.3 and 2 as they did not ship libradosstriper.


Note You need to log in before you can comment on or make changes to this bug.